sizes = c(10, 30, 100, 300)
vars = c("01", "02", "03", "04", "05", "10")
summ = NULL
for (neff in sizes) {
  dat = NULL
  means = c()
  for (vv in vars) {
    tmp = read.table(paste("merged/E", neff, "_V", vv, ".res", sep=""), header=T)
    dat = rbind(dat, cbind(var=as.numeric(vv), power=tmp$power))
    means = c(means, mean(tmp$power))
  }
  summ = rbind(summ, c(neff, means))
  write.table(dat, file=paste("results/E", neff, ".res", sep=""), quote=F, row.names=F, sep="\t")  
  dat = data.frame(dat)
  png(paste("results/plots/E", neff, ".png", sep=""), 1000, 1000)
  plot(dat$var + runif(dim(dat)[1], -0.1, 0.1), dat$power, ylim=c(0,1), col="grey", xaxt="n", pch=19, xlab="Percentage variance explained", ylab="Power", main=paste("Power simulation for no. effects = ", neff, sep=""))
  points(c(1:5,10), means, pch=19, type="b", col=1, cex=1.25, lwd=2)
  axis(1, at=c(1:5, 10))
  dev.off()
}
summ = data.frame(summ)
names(summ) = c("no.effects", paste("power_v", vars, sep=""))
write.table(summ, file="mean_power.res", row.names=F, quote=F, sep="\t")

colors = c("black", "blue", "red", "yellow")
png("results/plots/means.png", 1000, 1000)
plot(c(1:5, 10), summ[1,-1], ylim=c(0,1), pch=19, lwd=2, type="b", xaxt="n", xlab="Percentage variance explained", ylab="Mean power", main="Mean power by variance explained")
axis(1, at=c(1:5, 10))
for (i in 2:4) {
  points(c(1:5,10), summ[i,-1], pch=19, type="b", col=colors[i], lwd=2)
}
legend("bottomright", legend=paste("No. of effects = ", sizes, sep=""), col=colors, lwd=2, pch=19)
dev.off()

